## taptempo 1.4.3

=== CMakeLists.txt ===
#    TapTempo, a command line tap tempo.
#    Copyright (C) 2017 Francois Mazen
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.


cmake_minimum_required (VERSION 3.1)

set (CMAKE_CXX_STANDARD 11)

set(TAPTEMPO_VERSION_MAJOR 1)
set(TAPTEMPO_VERSION_MINOR 4)
set(TAPTEMPO_VERSION_REVISION 3)
set(TAPTEMPO_PACKAGE_NAME taptempo)

project (${TAPTEMPO_PACKAGE_NAME})

if(MSYS)
	set(TAPTEMPO_LOCALE_DIR "share/locale")
	set(TAPTEMPO_INSTALL_DIR ${CMAKE_INSTALL_PREFIX})
else()
	set(TAPTEMPO_LOCALE_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
	set(TAPTEMPO_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
endif()

configure_file (
        "${PROJECT_SOURCE_DIR}/src/taptempo_config.h.in"
        "${PROJECT_BINARY_DIR}/taptempo_config.h"
        )
include_directories("${PROJECT_BINARY_DIR}")

add_subdirectory(src)
add_subdirectory(po)

# Create test target.

if(${CMAKE_VERSION} VERSION_LESS "3.11.0" AND ${CMAKE_VERSION} VERSION_GREATER "3.0.0")
    # Disable error report when creating "test" target.
    # This happens with CMake version between 3.0 and 3.11
    cmake_policy(SET CMP0037 OLD)
endif()

add_custom_target(test)
add_subdirectory(test)

=== debian/changelog ===
taptempo (1.4.3-1) unstable; urgency=low

  * Initial debian package. (Closes: #893306)

 -- Francois Mazen <francois@mzf.fr>  Sat, 15 Sep 2018 14:51:50 +0200

=== debian/control ===
Source: taptempo
Maintainer: Francois Mazen <francois@mzf.fr>
Section: sound
Priority: optional
Standards-Version: 4.2.1
Homepage: https://taptempo.tuxfamily.org
Vcs-Browser: https://git.tuxfamily.org/taptempo/taptempo_deb_packaging.git
Vcs-Git: https://git.tuxfamily.org/taptempo/taptempo_deb_packaging.git
Build-Depends: cmake, debhelper (>= 11), gettext, catch

Package: taptempo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line tap tempo
 hit enter key with style an you'll get the corresponding number of beats per
 minute (bpm).
 This tool is very useful to quickly find the tempo of a song without
 launching a big digital workstation like Ardour or LMMS. Just type "taptempo"
 in a terminal and hit the enter key while your hearing a song to print the
 tempo.

## taptempo 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 set(TAPTEMPO_VERSION_MAJOR 1)
 set(TAPTEMPO_VERSION_MINOR 4)
-set(TAPTEMPO_VERSION_REVISION 3)
+set(TAPTEMPO_VERSION_REVISION 4)
 set(TAPTEMPO_PACKAGE_NAME taptempo)
 
 project (${TAPTEMPO_PACKAGE_NAME})

=== src/CMakeLists.txt ===

add_executable(${TAPTEMPO_PACKAGE_NAME} main.cpp
                                        taptempo.cpp
                                        taptempo.h
                                        taptempogame.cpp
                                        taptempogame.h
                                        options.h
                                        options.cpp)

# Gettext and Intl.
find_package(Gettext REQUIRED)
find_package(Intl REQUIRED)
target_include_directories(${TAPTEMPO_PACKAGE_NAME} PRIVATE "${Intl_INCLUDE_DIRS}")
target_link_libraries(${TAPTEMPO_PACKAGE_NAME} "${Intl_LIBRARIES}")

# Create install target.
install(TARGETS ${TAPTEMPO_PACKAGE_NAME} DESTINATION ${TAPTEMPO_INSTALL_DIR})

=== test/CMakeLists.txt ===

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/test")
find_package(Catch REQUIRED)
include_directories("${CATCH_INCLUDE_DIR}")

add_executable(optionsTest EXCLUDE_FROM_ALL optionsTest.cpp
                                            ../src/options.h
                                            ../src/options.cpp)
add_custom_target(build_and_run_optionsTest COMMAND optionsTest DEPENDS optionsTest)

add_dependencies(test build_and_run_optionsTest)

# Gettext and Intl.
find_package(Gettext REQUIRED)
find_package(Intl REQUIRED)
target_include_directories(optionsTest PRIVATE "${Intl_INCLUDE_DIRS}")
target_link_libraries(optionsTest "${Intl_LIBRARIES}")

=== debian/changelog ===
taptempo (1.4.4-1) unstable; urgency=medium

  * New upstream release
  * Update standards version

 -- Francois Mazen <francois@mzf.fr>  Fri, 25 Jan 2019 20:01:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Francois Mazen <francois@mzf.fr>
 Section: sound
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://taptempo.tuxfamily.org
 Vcs-Browser: https://git.tuxfamily.org/taptempo/taptempo_deb_packaging.git
 Vcs-Git: https://git.tuxfamily.org/taptempo/taptempo_deb_packaging.git

## taptempo 1.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 set(TAPTEMPO_VERSION_MAJOR 1)
 set(TAPTEMPO_VERSION_MINOR 4)
-set(TAPTEMPO_VERSION_REVISION 4)
+set(TAPTEMPO_VERSION_REVISION 5)
 set(TAPTEMPO_PACKAGE_NAME taptempo)
 
 project (${TAPTEMPO_PACKAGE_NAME})

=== po/CMakeLists.txt ===
# Create a translation target to generate mo files from po files, then copy them in the localization folder.
set(MO_FILES)
file(GLOB PO_FILES *.po)
foreach(PO_FILE ${PO_FILES})
        get_filename_component(PO_LANG ${PO_FILE} NAME_WE)
        set(MO_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PO_LANG}.mo)
        add_custom_command(OUTPUT ${MO_FILE} COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${MO_FILE} ${PO_FILE} DEPENDS ${PO_FILE})
        install(FILES ${MO_FILE} DESTINATION ${TAPTEMPO_LOCALE_DIR}/${PO_LANG}/LC_MESSAGES RENAME ${TAPTEMPO_PACKAGE_NAME}.mo)
        set(MO_FILES ${MO_FILES} ${MO_FILE})
endforeach()
set(TRANSLATIONS_TARGET_NAME "${TAPTEMPO_PACKAGE_NAME}-translations")
add_custom_target(${TRANSLATIONS_TARGET_NAME} ALL DEPENDS ${MO_FILES})

=== debian/changelog ===
taptempo (1.4.5-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113556)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 14:50:11 +0300

taptempo (1.4.5-3) unstable; urgency=medium

  * Update upstream URLs.
  * Bump standard version.

 -- Francois Mazen <mzf@debian.org>  Fri, 17 Jan 2025 20:36:01 +0100

taptempo (1.4.5-2) unstable; urgency=medium

  * Fix flaky autopkgtest (Closes: #1091860)

 -- Francois Mazen <mzf@debian.org>  Fri, 03 Jan 2025 22:21:56 +0100

taptempo (1.4.5-1) unstable; urgency=medium

  * New upstream release
  * Change Vcs-Browser and Vcs-Git to Salsa
  * Bump standard version to 4.5.0
  * Fix lintian warnings

 -- Francois Mazen <francois@mzf.fr>  Fri, 03 Jul 2020 21:45:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: taptempo
-Maintainer: Francois Mazen <francois@mzf.fr>
+Maintainer: Francois Mazen <mzf@debian.org>
 Section: sound
 Priority: optional
-Standards-Version: 4.3.0
-Homepage: https://taptempo.tuxfamily.org
-Vcs-Browser: https://git.tuxfamily.org/taptempo/taptempo_deb_packaging.git
-Vcs-Git: https://git.tuxfamily.org/taptempo/taptempo_deb_packaging.git
-Build-Depends: cmake, debhelper (>= 11), gettext, catch
+Standards-Version: 4.7.0
+Homepage: https://mzf.fr/taptempo/
+Vcs-Browser: https://salsa.debian.org/mzf/taptempo
+Vcs-Git: https://salsa.debian.org/mzf/taptempo.git
+Build-Depends: cmake, debhelper, debhelper-compat (= 13), gettext, catch
+Rules-Requires-Root: no
 
 Package: taptempo
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://mzf.fr/taptempo/download/(\d+\.\d+\.\d+)/ taptempo-(.+)\.tar\.gz
